# Performance Lab: Bitwise Shift Right

1. Input a uint32\_t userInput from stdin utilizing fscanf\(\)
2. Initialize another uint32\_t bitChecker to 0x01
3. Use a Bitwise Shift Left on bitChecker to ensure only the left most bit is turned on
4. Print the binary representation of userInput to stdout using only the following:
   1. fprintf\(\)
   2. Bitwise Shift Right &gt;&gt;
   3. Bitwise AND & 
   4. Relational Operator \(e.g., &gt;\)

---